# Class Constants

java.lang.Object
org.apache.coyote.http2.Constants

public class Constants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_WEIGHT`
  Deprecated.
  Unused.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_WEIGHT

    @Deprecated public static final int DEFAULT_WEIGHT
    Deprecated.
    Unused. Will be removed in Tomcat 11 onwards.
    RFC 7540 prioritisation default weight.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()